Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.buybeans.item
Class BeanieBabyValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.ebusiness.item.ItemValue
                  |
                  +--examples.buybeans.item.BasicBeanValue
                        |
                        +--examples.buybeans.item.BeanieBabyValue

public class BeanieBabyValue
extends BasicBeanValue

This is an item that has the special characteristics of a Beanie Baby.

See Also:
  `BeanieBaby`, `BeanieBabyHome`, `BeanieBaby.getBeanieBabyByValue()`, `BeanieBaby.setBeanieBabyByValue(BeanieBabyValue)`, Serialized Form

Field Summary
`boolean` | `anomaly` anomaly [BeanieBaby] <*>------> [`boolean`]
`int` | `availability` availability [BeanieBaby] <*>------> [`int`]
`java.lang.String` | `image` image [BeanieBaby] <*>------> [`String`]
`boolean` | `retired` retired [BeanieBaby] <*>------> [`boolean`]

Fields inherited from class examples.buybeans.item.BasicBeanValue
`customerRating, fullDescription`

Fields inherited from class theory.smart.ebusiness.item.ItemValue
`description, identifier, price, qualities, supplier, version`

Constructor Summary
`protected` | `BeanieBabyValue()` Only get/setBeanieBabyByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### retired

    public boolean retired

                        retired
       [BeanieBaby] <*>------> [boolean]

### anomaly

    public boolean anomaly

                        anomaly
       [BeanieBaby] <*>------> [boolean]

### availability

    public int availability

                        availability
       [BeanieBaby] <*>------> [int]

### image

    public java.lang.String image

                        image
       [BeanieBaby] <*>------> [String]

Constructor Detail

### BeanieBabyValue

    protected BeanieBabyValue()

  Only get/setBeanieBabyByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.